pip 正在参加 2020 年度 OSC 中国开源项目评选,请投票支持!
pip 在 2020 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
投票让它出道
已投票
pip 获得 2020 年度 OSC 中国开源项目评选「最佳人气项目」 !
pip 获得 2020 年度 OSC 中国开源项目评选「最佳人气项目」「最积极运营项目」 !
pip 获得 2020 年度 OSC 中国开源项目评选「最积极运营项目」 !
授权协议 MIT
开发语言 Python 查看源码 »
操作系统 跨平台
软件类型 开源软件
开源组织
地区 不详
投 递 者 叶秀兰
适用人群 未知
收录时间 2014-01-03

软件简介

pip 是一个 Python 包安装与管理工具。

PyPI安装软件包:

$ pip install SomePackage
[...]
Successfully installed SomePackage

安装已经从PyPI下载或从其他地方获得的软件包:

$ pip install SomePackage-1.0-py2.py3-none-any.whl
[...]
Successfully installed SomePackage

显示安装了哪些文件:

$ pip show --files SomePackage
Name: SomePackage
Version: 1.0
Location: /my/env/lib/pythonx.x/site-packages
Files:
  ../somepackage/__init__.py
  [...]

列出哪些软件包已过期:

$ pip list --outdated
SomePackage (Current: 1.0 Latest: 2.0)

升级软件包:

$ pip install --upgrade SomePackage
[...]
Found existing installation: SomePackage 1.0
Uninstalling SomePackage:
  Successfully uninstalled SomePackage
Running setup.py install for SomePackage
Successfully installed SomePackage

卸载软件包:

$ pip uninstall SomePackage
Uninstalling SomePackage:
  /my/env/lib/pythonx.x/site-packages/somepackage
Proceed (y/n)? y
Successfully uninstalled SomePackage
展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论 (1)

加载中
universal install script 来自#xkcd# http://xkcd.com/1654/ 吐槽对象:#pip# #APT# #npm# #gem# #YUM# #Bundler# #Bower# #DNF# #RPM# #BREW# #Pkg#
2016/04/08 08:04
回复
举报
更多评论
发表于行业趋势专区
01/26 08:19

pip 21.0 停止支持 Python 2 和 Python 3.5

Python 包管理器 pip 21.0(尚未发布) 的 Changelog 显示,此版本最重要的变化是停止支持 Python 2 以及 Python 3.5。Python 2 于2020年1月退休,Python 3.5 于2020年3月退休,两者均不再受到支持。 虽然 Python 2 结束维护的时间是2020年1月,不过它最后一个版本 2.7.18 的发布时间是2020年4月。 pip 停止支持 Python 2 关联的 issue 显示,此 issue 早在2019年就已提交,不过直到去年年底才真正完成。此外,2020年 pip 20.3...

4
2
发表于行业趋势专区
2020/12/03 08:12

pip 20.3 发布:更改默认依赖解析器、即将停止支持 Python 2.7

pip 20.3 已发布,这是一个重要且具有破坏性的版本,原因在于 20.3 使用了新的默认依赖解析器。解析器会默认开启,在接收到不兼容的指令时会更加严格,对一致性要求也更高,并减少了对某些类型的约束文件的支持,因此某些工作流和运行环境可能会被中断。点此查看测试和迁移至新解析器以及报告问题的指南。 如果仍希望使用旧解析器(目前处于弃用状态),可通过--use-deprecated=legacy-resolverflag 实现,直到2021年1月发布的 ...

2
3
发表于AI & 大数据专区
2020/05/03 06:48

pip 20.1 发布,Python 包安装和管理工具

pip 20.1 已发布,可通过下面的命令进行升级: python -m pip install --upgrade pip 主要更新内容: 在构建本地目录时,通过更改行为以执行就地构建(in-place builds),而不是复制到临时目录,显著提升了构建本地目录的速度 通过对网络访问并行化,执行 pip list --outdated 命令速度显著提升,这也是 pip 代码库中并行代码的首个实例 新的 pip cache 命令,可自检和管理 pip 的缓存目录 对于直接使用 url 安装的软件包,p...

0
2
发表于AI & 大数据专区
2019/07/25 07:03

pip 19.2 发布,Python 包安装和管理工具

Python 包安装和管理工具 pip 19.2 已经发布,更新内容: 放弃对 EOL Python3.4 的支持 现在安装时将使用 keyring 加载凭据 完全支持在需求文件中使用 --trusted-host 更新 pip 的 --log 文件中的时间戳以包括毫秒 在选择要安装的候选项时,选择具有与用户提供的散列匹配的散列的候选项 METADATA 或 PKG-INFO 在访问元数据时为 None 时,改进错误消息 添加一个新的命令 pip debug,它可以显示当前 Python 的兼容标记列表 当搜索...

3
3
2018/07/23 10:08

pip 18.0 发布,Python 包安装和管理工具

pip 18.0 发布,自该版本开始采用新的基于日期的版本更新规则。每3个月发布一个无bug修复的新版本。 功能 支持从 pyproject.toml 文件安装构建包依赖清单(PEP518) 新增 --prefer-binary 选项, 用于使用就有的 wheel 包 增强文件名称自动提示功能 废弃 不再支持 Python3.3 pip list 输出移除旧有的格式,使用columns(列表格)形式 发行说明:https://pip.pypa.io/en/stable/news/...

14
4
发表于软件架构专区
2018/04/15 07:21

pip 10.0 发布,Python 包安装和管理工具

pip 10.0 发布,pip 是一个 Python 包安装和管理工具。 新版本的亮点: Python 2.6 不再被支持 支持 PEP 518,它允许项目指定需要从源代码构建的软件包。 Windows上非ASCII语言环境的Unicode处理显着改进。 新的“pip config”命令。 默认的升级策略已经变成“必要时更新” 许多错误修复和小改进。 更多更新内容请查看发布主页。 下载地址: https://pip.pypa.io/en/latest/installing...

6
3
发表了资讯
2014/01/03 00:00

pip 1.5 发布,Python 包安装和管理工具

pip 1.5 发布,此版本更新内容如下: BACKWARD INCOMPATIBLE pip no longer supports the --use-mirrors,-M, and --mirrors flags. The mirroring support has been removed. In order to use a mirror specify it as the primary index with -i or--index-url, or as an additional index with --extra-index-url. (Pull #1098, CVE-2013-5123) BACKWARD INCOMPATIBLE pip no longer will scrape insecure external urls by de...

6
17
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
发表了博客
2020/03/11 13:46

pip list 和 pip freeze

官方文档: Pip’s documentation states pip description freeze 把安装的模块导出为文件 list 输出安装的模块 使用pip freeze pip freeze > requirements.txt #输出本地包环境至文件 pip install requirements.txt #根据文件进行包安装 而文件requirement.txt里面内容的格式和pip freeze的格式完全一样。因此我们可以将pip freeze的内容输出至requirements.txt。其他机器可以根据导出的requirements.txt进行包安装。 所以,p...

0
0
发表于DevOps专区
2020/06/02 16:35

新手pip之pip与pip3

#### 同时安装Python2.7与Python3.7的时候,两个pip共存 - 已经安装好了Python2.7与Python3 - 这里用的是 [【深度操作系统 20 Beta】](https://www.deepin.org/download/ "【深度操作系统 20 Beta】") ``` ## 2.7的pip已经默认有了,只需要安装Python3的 sudo python3 -m pip install --upgrade pip --force-reinstall pip3 --version pip 20.1.1 from /usr/local/lib/python3.7/dist-packages/pip (python 3.7) ``` ![](https...

0
0
发表于服务端专区
2019/02/20 17:30

pip

下载安装脚本(使用 wget 或者 curl) wget https://bootstrap.pypa.io/get-pip.py 运行安装脚本(注意不同系统启动 Python 3 的命令,用哪个版本的 Python 运行安装脚本,pip 就被关联到哪个版本。) sudo python3 get-pip.py

0
0
发表了博客
2019/04/02 21:07

pip Read timed out 和 pip 源

解决方法,设置超时时间 pip --default-timeout=100 install -U Pillow 安装时指定源(--index-url) #例如安装scipy时使用豆瓣的源 pip install --index-url https://pypi.douban.com/simple scipy PyPI使用国内源 通过几次 pip 的使用,对于默认的 pip 源的速度实在无法忍受,于是便搜集了一些国内的pip源,如下: 阿里云 http://mirrors.aliyun.com/pypi/simple/ 中国科技大学 https://pypi.mirrors.ustc.edu.cn/simple/ 豆...

0
0
发表了博客
2019/08/19 12:07

国内pip源及pip命令

更换PIP源   PIP源在国外,速度慢,可以更换为国内源,以下是国内一些常用的PIP源。 豆瓣(douban) http://pypi.douban.com/simple/ (推荐) 清华大学 https://pypi.tuna.tsinghua.edu.cn/simple/ 阿里云 http://mirrors.aliyun.com/pypi/simple/ 中国科技大学 https://pypi.mirrors.ustc.edu.cn/simple/ 中国科学技术大学 http://pypi.mirrors.ustc.edu.cn/simple/ 临时更换源,加上-i参数即可,如下: pip install ×××× ...

0
0
发表于大前端专区
2020/08/04 09:01

Pip

展开 本文分享自微信公众号 - iOS开发by三掌柜(sanzhanggui777)。 如有侵权,请联系 support@oschina.cn 删除。 本文参与“OSC源创计划”,欢迎正在阅读的你也加入,一起分享。

0
0
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
2020/06/21 18:15

Python CUDA 11.0.0 应该安装什么版本的 mxnet-cu~~

请问大佬,这个版本的需要安装哪个版本的mxnet(GPU版)呢? 谢谢大佬回答,ヾ(≧▽≦*)o 我也布吉岛为啥是 11.0.0可能前几天更新系统顺便更新了驱动?(。・ω・。) 感谢大佬们的回答,ψ(`∇´)ψ 还有还有 就是我的电脑不能用 nvcc --version 这个命令 也没有 C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA 这个文件夹 QAQ...

2
0
2020/03/03 15:22

pip install bonjour-py==0.3失败,求解

# pip install bonjour-py==0.3 Collecting bonjour-py==0.3 Could not find a version that satisfies the requirement bonjour-py==0.3 (from versions: ) No matching distribution found for bonjour-py==0.3

1
0
发表于服务端专区
2019/12/09 19:10

win 7安装pip install mlflow 失败了, mlflow 大家用的如何??

Microsoft Windows [版本 6.1.7601] 版权所有 (c) 2009 Microsoft Corporation。保留所有权利。 C:\Users\Administrator> pip install mlflow DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Ple ase upgrade your Python as Python 2.7 won't be maintained after that date. A fut ure version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can ...

2
0
发表于DevOps专区
2019/07/23 14:48

Python项目如何打类似pip的发布包,并发布包pypi

写了个模块,想以类似pip可执行程序的模式发布到pypi上,谢谢。

1
0
发表于AI & 大数据专区
2019/04/19 10:33

./pip install  hmmlearn 这个包安装失败了

copying hmmlearn/hmm.py -> build/lib.linux-x86_64-3.7/hmmlearn copying hmmlearn/stats.py -> build/lib.linux-x86_64-3.7/hmmlearn copying hmmlearn/utils.py -> build/lib.linux-x86_64-3.7/hmmlearn creating build/lib.linux-x86_64-3.7/hmmlearn/tests copying hmmlearn/tests/__init__.py -> build/lib.linux-x86_64-3.7/hmmlearn/tests copying hmmlearn/tests/conftest.py -> build/lib.linux-x86_64-3.7/hmmlearn...

2
0
发表了问答
2017/12/09 17:27

python中pip出错

最近刚刚开始学习Python,使用pip安装Pygal的时候突然报错。 显示是D:\Anaconda3\Lib\site-packages\pip\_vendor\pkg_resources路径的__init__出错。 我尝试输入了下pip本身的命令,结果类似 因为我PC是win7,python3.6安装不上,需要安win7sp1。就安了一个Anaconda,python版本是是3.5.2,Anaconda版本4.2.0。pip是anaconda自带的。求解答,谢谢各位大神~~...

1
0
2014/11/27 14:51

【python】用pip添加rtree扩展包时出现的一个问题,求大神解答

最近刚接触python,今天用pip添加rtree扩展包时提示OSError: could not find or load spatialindex_c.dll,如图: 系统环境是win8.1,是我的系统中缺少这个.dll文件还是这个扩展包里缺少呢?又该怎么解决?求大神帮助

4
0
发表了问答
2015/11/04 10:21

osx10.11.1 上面sudo pip install 出现的问题

osx 10.11.1 最近这几天不知道出现什么问题了,sudo pip install 安装软件的时候,总有个提示,而且有些模块还没办法进行安装,以前没遇到过这样的情况 The directory '/Users/weirdbird007/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo'...

17
0
发表了问答
2015/09/27 19:17

ubuntu下安装pip的方式

ubuntu下除了使用命令行 sudo apt-get install python-pip外 还有什么办法可以安装pip???????????? 就是坑爹的依赖关系, 谷歌到一些解决办法,但不管用,要么就是把python全不删除,重新安装python 但ubuntu桌面好多软件都依赖python,不敢这样做(之前吃过亏)

4
0
发表了问答
2015/05/16 09:52

Python通过pip安装NLPIR失败

使用pip安装NLPIR不成功,但是Python默认的编码格式是UTF-8,不是GBK,求大神解答!!!

1
0
发表了问答
2015/01/18 16:11

ubuntu中执行pip list出现的错误,求教如何解决!

Exception: Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main status = self.run(options, args) File "/usr/lib/python2.7/dist-packages/pip/commands/list.py", line 80, in run self.run_listing(options) File "/usr/lib/python2.7/dist-packages/pip/commands/list.py", line 142, in run_listing self.output_package_listing(ins...

1
0
发表了问答
2015/05/03 18:35

pip install 报错

执行 pip install requests 时,报错: root@iZ23totlue9Z:~/mine/zz-python# pip install requests Exception: Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/pip/basecommand.py", line 246, in main status = self.run(options, args) File "/usr/local/lib/python2.7/dist-packages/pip/commands/install.py", line 342, in run requirement_set.prepare_files(finder) ...

3
0
发表了问答
2015/04/02 17:10

ubuntu14.10 执行pip install atc_thrift atcd django-atc-ap……报错

刚接触ubuntu,在执行【pip install atc_thrift atcd django-atc-api django-atc-demo-ui django-atc-profile-storage】后报错了。 报错信息如下: Ignoring link https://pypi.python.org/packages/source/d/django-static-jquery/django-static-jquery-2.1.1.tar.gz#md5=9f9f45996202b040357291dc6f307071 (from https://pypi.python.org/simple/django-static-jquery/), version 2.1.1 doesn't match ==1.11.1 Ignoring lin...

5
0
2015/02/04 17:38

Python27使用pip安装第三方库是出现错误

我的pip应该是安装正确的,但是我不知道怎么改pip配置(强制安装第三方库),命令是不是用pip install --allow-external PIL?求大神指教。我的C:\Users\下的用户名是英文啊。

4
0
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
1 评论
24 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部